package com.liang.service;

import com.liang.entity.PrjApproval;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

/**
 * (PrjApproval)表服务接口
 *
 * @author makejava
 * @since 2023-04-29 22:05:41
 */
public interface PrjApprovalService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    PrjApproval queryById(Integer id);

    /**
     * 分页查询
     *
     * @param prjApproval 筛选条件
     * @param pageRequest 分页对象
     * @return 查询结果
     */
    Page<PrjApproval> queryByPage(PrjApproval prjApproval, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param prjApproval 实例对象
     * @return 实例对象
     */
    int insert(PrjApproval prjApproval);

    /**
     * 修改数据
     *
     * @param prjApproval 实例对象
     * @return 实例对象
     */
    int update(PrjApproval prjApproval);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

}
